// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef COLORSCALE_HPP
#define COLORSCALE_HPP

#include "datarange.hpp"
#include "qcustomplot.h"
#include <QObject>

class ColorScale : public QCustomPlot {
    Q_OBJECT

  public:
    explicit ColorScale(Qt::Orientation orientation, QWidget *parent = nullptr);

    void setOrientation(Qt::Orientation orientation);
    void setTitle(const QString &title);
    void setGradient(const QCPColorGradient &gradient);
    void setRange(const DataRange &range);
    void setRange(const QCPRange &range);

    QCPColorScale *innerScale() { return mColorScale; };

  public slots:
    void lockUI(bool lock);
    void setRangeDrag(bool enable);
    void setRangeZoom(bool enable);

  signals:
    void rangeChanged(const DataRange &range);

  private slots:
    void onDataRangeChanged(const QCPRange &);
    void emitRangeChanges();

  private:
    QCPColorScale *mColorScale;
    QTimer mTimer;
};

#endif // COLORSCALE_HPP
