// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef ARCGISACCOUNTWIDGET_HPP
#define ARCGISACCOUNTWIDGET_HPP

#include <QtWidgets>

class ClickableLabel;
class WaitingSpinnerWidget;

namespace Esri {
namespace ArcGISRuntime {
class Credential;
class Portal;
class PortalUser;

enum class LoadStatus;
} // namespace ArcGISRuntime
} // namespace Esri

class ArcgisAccountWidget : public QGroupBox {
    Q_OBJECT
  public:
    explicit ArcgisAccountWidget(QWidget *parent = nullptr);
    void translateUI();
    void populateWidgets();

  private slots:
    void signin();
    void onPortalLoadStatusChanged(Esri::ArcGISRuntime::LoadStatus loadStatus);

  private:
    QLabel *mLblNameDescr;
    QLabel *mLblOrganizationDescr;
    QLabel *mLblRoleDescr;
    QLabel *mLblStateDescr;

    QLabel *mLblNameValue;
    QLabel *mLblOrganizationValue;
    QLabel *mLblRoleValue;
    QLabel *mLblStateValue;
    ClickableLabel *mLblFetch;

    Esri::ArcGISRuntime::Credential *mCredential = nullptr;
    Esri::ArcGISRuntime::Portal *mPortal = nullptr;
    WaitingSpinnerWidget *mSpinner;
};

#endif // ARCGISACCOUNTWIDGET_HPP
