// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef CLOCKWIDGET_HPP
#define CLOCKWIDGET_HPP

#include <QLabel>

class ClockWidget : public QLabel {
    Q_OBJECT
  public:
    explicit ClockWidget(QWidget *parent = nullptr);
    void showDate(bool show);
    void showSeconds(bool show);
    void setUTC(bool enable);

  private slots:
    void updateTime();

  protected:
    virtual void hideEvent(QHideEvent *event);
    virtual void showEvent(QShowEvent *event);

  private:
    void buildFormat();
    bool mUTC;
    bool mDate;
    bool mSeconds;
    QString mFormat;

    QTimer *mTimer;
};

#endif // CLOCKWIDGET_HPP
