// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef COLORINDICATOR_HPP
#define COLORINDICATOR_HPP

#include <QLabel>
#include "globals.hpp"

// Color Indicator widget using style sheet
class ColorIndicatorSS : public QLabel {
    Q_OBJECT
  public:
    ColorIndicatorSS(QWidget *parent = nullptr);
    ColorIndicatorSS(int size, QWidget *parent = nullptr);
    void setColor(StatusColor color);
    StatusColor color() const;
    QString colorString() const;

  private:
    StatusColor mColor;
    QString mGreenSS;
    QString mRedSS;
    QString mOrangeSS;
    QString mBlueSS;
    QString mGreySS;
};

// Color Indicator widget using pixmap (fancier !)
class ColorIndicator : public QLabel {
    Q_OBJECT
  public:
    ColorIndicator(QWidget *parent = nullptr);
    ColorIndicator(int size, QWidget *parent = nullptr);
    void setColor(StatusColor color);
    StatusColor color() const;
    QString colorString() const;

  private:
    StatusColor mColor;
    QPixmap mGreenPix;
    QPixmap mRedPix;
    QPixmap mYellowPix;
    QPixmap mBluePix;
    QPixmap mGreyPix;
};

#endif // COLORINDICATOR_HPP
