// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef COMMWIDGET_HPP
#define COMMWIDGET_HPP

#include "globals.hpp"
#include "networkconfig.hpp"

class WLANWidget;
class UDPStatusWidget;
class GPSStatusWidget;
class CommWidget : public QWidget {
    Q_OBJECT
  public:
    explicit CommWidget(QWidget *parent = nullptr);
    //    void monitorSSID(const QString &ssid);
    void translateUI();
    void reset();
    QPointer<UDPStatusWidget> udpWidget() const;
    QPointer<GPSStatusWidget> gpsWidget() const;
    QPointer<WLANWidget> wlanWidget() const;

  private:
    WLANWidget *mWLANWidget;
    UDPStatusWidget *mUDPWidget;
    GPSStatusWidget *mGPSWidget;
};

#endif // NETWORKWIDGET_HPP
