// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef FILENAMEWIDGET_HPP
#define FILENAMEWIDGET_HPP

#include "globals.hpp"

/**
 * @brief The FilenameWidget class
 * @details
 * The widget simply displays the name of the files currently written on disk (or SD card).
 */
class FilenameWidget : public QWidget {
    Q_OBJECT
  public:
    explicit FilenameWidget(QWidget *parent = nullptr);

    void setSensorFileName(const QString &name, bool nosd= false);
    void setADMinFileName(const QString &name);

    virtual QSize sizeHint() const override;
    void translateUI();

    void reset();

  private:
    bool mNoSD;
    QLabel *mLblSensorDescr;
    QLabel *mLblSensorValue;
    QLabel *mLblAdminDescr;
    QLabel *mLblAdminValue;
    void setTextHighlight(bool warn);
};

#endif // FILENAMEWIDGET_HPP
