// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef FLIGHTWIDGET_HPP
#define FLIGHTWIDGET_HPP

#include "globals.hpp"

class FlightWidget : public QWidget {
    Q_OBJECT
  public:
    explicit FlightWidget(QWidget *parent = nullptr);
    void translateUI();
    void setInteractionMode(bool enable);

  public:
    QTableView *tableView;
    QAction *addFlightAction;
    QAction *delFlightAction;
    QAction *checkAllAction;
    QAction *uncheckAllAction;

  public slots:
    void onSelectionChanged(const QItemSelection &, const QItemSelection &);
};

#endif // FLIGHTWIDGET_HPP
