// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef INDICATORCHOICEDIALOG_HPP
#define INDICATORCHOICEDIALOG_HPP

#include "globals.hpp"
#include "indicators.hpp"

typedef QPair<BaseIndicator::Type, AParam> IndicatorChoicePair;

class IndicatorChoiceDialog : public QDialog {
    Q_OBJECT
  public:
    explicit IndicatorChoiceDialog(const QVector<AParam> &parameters, int selected = -1,
                                   BaseIndicator::Type defaultType = BaseIndicator::BASIC, QWidget *parent = nullptr,
                                   Qt::WindowFlags flags = Qt::WindowFlags());

    virtual QSize sizeHint() const override;
    void setParameterIndex(int index);
    void setTypeIndex(int index);
    AParam parameter() const;
    BaseIndicator::Type type() const;
    IndicatorChoicePair selection() const;
    static IndicatorChoicePair getIndicator(QWidget *parent, const QVector<AParam> &parameters, int current = -1,
                                            BaseIndicator::Type defaultType = BaseIndicator::BASIC, bool *ok = nullptr,
                                            Qt::WindowFlags flags = Qt::WindowFlags());

  private slots:
    void onParameterIndexChanged(int index);

  private:
    QMetaEnum mTypeEnum;
    QVector<AParam> mParameters;
    QLabel *mLblParameter;
    QComboBox *mCbxParameter;
    QLabel *mLblType;
    QComboBox *mCbxType;
    QLabel *mLblParamDescr;
    QLabel *mLblParamDescrValue;
    QDialogButtonBox *mButtonBox;
};

#endif // INDICATORCHOICEDIALOG_HPP
