// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef INDICATORSEDITOR_HPP
#define INDICATORSEDITOR_HPP

#include "globals.hpp"

class IndicatorModel;
class BaseIndicator;

class IndicatorsEditor : public QWidget {
    Q_OBJECT
  public:
    explicit IndicatorsEditor(QWidget *parent = nullptr);
    virtual ~IndicatorsEditor();
    void translateUI();
    void setIndicatorModel(IndicatorModel *model);
    void setParameters(const QVector<AParam> &parameters);

  private slots:
    void addIndicator();
    void duplicateIndicator();
    void deleteIndicator();
    void onSelectionChanged(const QItemSelection &selected, const QItemSelection &deselected);

  private:
    QVector<AParam> mParameters;
    IndicatorModel *mEmptyModel;
    IndicatorModel *mItemModel;
    QTableView *mTableView;
    QAction *mActionAdd;
    QAction *mActionDuplicate;
    QAction *mActionDelete;
    QModelIndex selectedIndex() const;
};

#endif // INDICATORSEDITOR_HPP
