// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef INDICATORWIDGET_HPP
#define INDICATORWIDGET_HPP

#include "globals.hpp"
#include "indicators.hpp"

class ColorIndicator;

class IndicatorWidget : public QWidget {

  public:
    explicit IndicatorWidget(QWidget *parent = nullptr);
    explicit IndicatorWidget(BaseIndicator *indicator, QWidget *parent = nullptr);
    virtual ~IndicatorWidget();
    BaseIndicatorPointer setIndicator(BaseIndicator *indicator);
    BaseIndicatorPointer indicator() const;

    void setValue(double value);
    void updateFromBlock(const ABlock &block);

    void setColorTipVisible(bool visible);
    bool colorTipVisible() const;

    void setValueVisible(bool visible);
    bool valueVisible() const;

    void refreshValues();

  private:
    BaseIndicatorPointer mIndicator;
    ColorIndicator *mIndicatorLabel;
    QLabel *mNameLabel;
    QLabel *mValueLabel;
    QHBoxLayout *mLayout;
    void setup();
};

#endif // INDICATORWIDGET_HPP
