// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef ITEMCHOICEDIALOG_HPP
#define ITEMCHOICEDIALOG_HPP

#include "globals.hpp"

class ItemChoiceDialog : public QDialog {
    Q_OBJECT
  public:
    explicit ItemChoiceDialog(const QVector<AParam> &parameters, int selected = -1, QWidget *parent = nullptr,
                              Qt::WindowFlags flags = Qt::WindowFlags());

    virtual QSize sizeHint() const override;
    void setParameterIndex(int index);
    AParam parameter() const;

    static AParam getParameter(QWidget *parent, const QVector<AParam> &parameters, int current = -1, bool *ok = nullptr,
                               Qt::WindowFlags flags = Qt::WindowFlags());

  private slots:
    void onParameterIndexChanged(int index);

  private:
    QVector<AParam> mParameters;
    QLabel *mLblParameter;
    QComboBox *mCbxParameter;
    QLabel *mLblParamDescr;
    QLabel *mLblParamDescrValue;
    QDialogButtonBox *mButtonBox;
};

#endif // ITEMCHOICEDIALOG_HPP
