// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef ITEMSEDITOR_HPP
#define ITEMSEDITOR_HPP

#include "globals.hpp"

class ItemModel;
class DataItem;

class ItemsEditor : public QWidget {
    Q_OBJECT
  public:
    explicit ItemsEditor(QWidget *parent = nullptr);
    virtual ~ItemsEditor();
    void translateUI();
    void setItemModel(ItemModel *model);
    void setParameters(const QVector<AParam> &parameters);

  private slots:
    void addItem();
    void duplicateItem();
    void deleteItem();
    void onSelectionChanged(const QItemSelection &selected, const QItemSelection &deselected);

  private:
    QVector<AParam> mParameters;
    ItemModel *mEmptyModel;
    ItemModel *mItemModel;
    QTableView *mTableView;
    QAction *mActionAdd;
    QAction *mActionDuplicate;
    QAction *mActionDelete;

  private:
    QModelIndex selectedIndex() const;
    QPointer<DataItem> selectedItem();
    void setupDelegates();
};

#endif // ITEMSEDITOR_HPP
