// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef LAYOUTNAMEDIALOG_HPP
#define LAYOUTNAMEDIALOG_HPP

#include <QDialog>
#include <QDialogButtonBox>
#include <QLabel>
#include <QLineEdit>

class LayoutNameDialog : public QDialog {
    Q_OBJECT
  public:
    LayoutNameDialog(const QString &initialName, const QStringList &availableNames = QStringList(),
                     QWidget *parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());

    virtual QSize sizeHint() const;

    QString textValue();

    static QString getLayoutName(const QString &initialName, const QStringList &availableNames = QStringList(),
                                 bool *ok = nullptr, QWidget *parent = nullptr);

  private:
    QLabel *mLblName;
    QLineEdit *mLdtName;
    QLabel *mLblInfos;
    QDialogButtonBox *mButtonBox;
};

#endif // LAYOUTNAMEDIALOG_HPP
