// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef LAYOUTSELECTOR_HPP
#define LAYOUTSELECTOR_HPP

#include <QWidget>
#include <QtCore>

class LayoutManager;
class QComboBox;
class QPushButton;
class QLabel;

class LayoutSelector : public QWidget {
    Q_OBJECT
  public:
    explicit LayoutSelector(QWidget *parent = nullptr);

    void setLayoutManager(LayoutManager *manager);

    void translateUI();

    QComboBox *combobox() const;
  private slots:
    void onRowAboutToBeRemoved(const QModelIndex &parent, int first, int last);

  private:
    void saveCurrentLayout();
    void editLayouts();

    QLabel *mLabel;
    QPointer<LayoutManager> mManager;
    QPushButton *mBtnSaveLayout;
    QPushButton *mBtnEditLayout;
    QComboBox *mCbxSelectLayout;
};

#endif // LAYOUTSELECTOR_HPP
