// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef MAPITEMEDITOR_HPP
#define MAPITEMEDITOR_HPP

#include "globals.hpp"

#include "datarange.hpp"

class DataItem;
class ValueLineEdit;

class MapItemEditor : public QWidget {
    Q_OBJECT
  public:
    explicit MapItemEditor(QWidget *parent = nullptr);

    void updateFromItem(DataItem *item);
    void translateUI();

  public slots:
    void lockUI(bool lock);
    void setColorRange(const DataRange &range);
    void setColorRange(const QCPRange &range);
    void setThreshold(double value);

  signals:
    void colorRangeChanged(const DataRange &range);
    void thresholdChanged(double value);

  private slots:
    void onRABClicked();
    void onTABClicked();
    void checkLineEditValues();

  private:
    DataItem *mCurrentItem;

    QLabel *mLblTitle;

    QLabel *mLblValueMin;
    ValueLineEdit *mLdtValueMin;
    QLabel *mLblValueMax;
    ValueLineEdit *mLdtValueMax;
    QToolButton *mBtnApply1;
    QFrame *mSeparator;
    QLabel *mLblThreshold;
    ValueLineEdit *mLdtThreshold;
    QToolButton *mBtnApply2;
};

#endif // MAPITEMEDITOR_HPP
