// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef SCENARIOSELECTOR_HPP
#define SCENARIOSELECTOR_HPP

#include <QtWidgets>
class Scenario;
class ItemModel;
class ItemROModel;

class ScenarioSelector : public QWidget {
    Q_OBJECT
  public:
    explicit ScenarioSelector(QWidget *parent = nullptr);

    void setup(const QVector<Scenario *> &scenarios, int selectedIndex);
    void setInteractionMode(bool enable);
    void translateUI();
    void setCurrentIndex(int index, bool blockSignal = false);
    QComboBox *combobox() const;
    void setSelectOnly(bool enable);

  signals:
    void currentIndexChanged(int index);
    void scenarioSaveRequested();
    void scenarioEditionRequested(int current);

  private:
    //  QToolButton
    QPushButton *mBtnSave;
    QPushButton *mBtnEdit;
    QLabel *mLabel;
    QComboBox *mCbxScenario;
};

#endif // SCENARIOSELECTOR_HPP
