// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef COLORCHOOSERLABEL_HPP
#define COLORCHOOSERLABEL_HPP

#include <QtWidgets>
#include "clickablelabel.hpp"

/**
 * @brief The ColorChooserLabel class
 * @details
 * A subclass of the ::ClickableLabel that display a color picker on click.
 */
class ColorChooserLabel : public ClickableLabel {
    Q_OBJECT
  public:
    ColorChooserLabel(QWidget *parent = nullptr);
    ColorChooserLabel(QColor color, QWidget *parent = nullptr);
    virtual ~ColorChooserLabel() override;
    const QColor &color() const;
    void setColor(const QColor &color);
    QColor getColor(QColor initial);

    void chooseGraphColor();
signals:
    void colorChanged(QColor color);

  protected:
    virtual void mouseReleaseEvent(QMouseEvent *event) override;
};

#endif // COLORCHOOSERLABEL_HPP
