// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef GENERALPAGE_HPP
#define GENERALPAGE_HPP

#include "basepage.hpp"

class QComboBox;
class QLabel;
class QLineEdit;
class QToolButton;
class QCheckBox;
class QGroupBox;
class ArcgisAccountWidget;

class GeneralPage : public BasePage {
    Q_OBJECT
  public:
    explicit GeneralPage(QWidget *parent = nullptr);
    virtual void loadSettings() final;
    virtual void saveSettings() final;
    virtual void translateUI() final;

  private slots:
    void chooseAppFont();

  private:
    void buildUI();
    QString fontToString(const QFont &font);

    QComboBox *mCbxLanguage;
    QLabel *mLblLanguage;
    QLabel *mLblAppFont;
    QLineEdit *mLdtAppFont;
    QToolButton *mBtnAppFont;
    QFont mAppFont;

    QCheckBox *mChbSaveOnFly;

    QGroupBox *mGbxShowBattery;
    QCheckBox *mChbShowBatteryPercent;
    QCheckBox *mChbShowBatteryTime;

    QGroupBox *mGbxShowClock;
    QCheckBox *mChbShowClockUTC;
    QCheckBox *mChbShowClockDate;
    QCheckBox *mChbShowClockSecs;

    QLabel *mLblAPIKey;
    QLineEdit *mLdtAPIKey;

    ArcgisAccountWidget *mArcgisAccountWidget;
};

#endif // GENERALPAGE_HPP
