// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef GRAPHPAGE_HPP
#define GRAPHPAGE_HPP

#include "basepage.hpp"
#include "globals.hpp"

class ColorChooserLabel;

class GraphPage : public BasePage {
    Q_OBJECT
  public:
    explicit GraphPage(QWidget *parent = nullptr);
    virtual void loadSettings() final;
    virtual void saveSettings() final;
    virtual void translateUI() final;

  private slots:
    void updatePlotWidgets(int id, bool checked);

  private:
    QCheckBox *mChbHideToolbar;
    QCheckBox *mChbHideXLabel;
    QLabel *mLblASPeriod;
    QSpinBox *mSpbASPeriod;
    QLabel *mLblTimeWindow;
    QSpinBox *mSpbTimeWindow;
    QLabel *mLblTimeOffset;
    QSpinBox *mSpbTimeOffset;

    QLabel *mLblTextBox;
    QComboBox *mCbxTextBox;

    QButtonGroup *mButtonGroup;
    QLabel *mLblPlotType;
    QRadioButton *mBtnPLine;
    QRadioButton *mBtnPScatter;
    QLabel *mLblPLineSize;
    QLabel *mLblPSymbol;
    QDoubleSpinBox *mSpbPLineSize;
    QComboBox *mCbxPSymbol;
    QDoubleSpinBox *mSpbPSymbolSize;

    QCheckBox *mChbThreshold;
    QLabel *mLblThColor;
    ColorChooserLabel *mLblThCC;
    QLabel *mLblThSize;
    QDoubleSpinBox *mSpbThLineSize;

    int mLastLMS;
    int mLastSMS;

  private:
    void buildUI();
};

#endif // GRAPHPAGE_HPP
