// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef INTERFACEPAGE_HPP
#define INTERFACEPAGE_HPP

#include "basepage.hpp"
#include "globals.hpp"

class GraphUIWidget;
class MapUIWidget;

class InterfacePage : public BasePage {
    Q_OBJECT
  public:
    explicit InterfacePage(QWidget *parent = nullptr);
    virtual void loadSettings() final;
    virtual void saveSettings() final;
    virtual void translateUI() final;
    virtual void saveUI() override;
    virtual void loadUI() override;

  private:
    void buildUI();

    QTabWidget *mTabWidget;

    GraphUIWidget *mPlotWidget;
    MapUIWidget *mMapWidget;
};

#endif // INTERFACEPAGE_HPP
