// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef MAPPAGE_HPP
#define MAPPAGE_HPP

#include "basepage.hpp"
#include "globals.hpp"
class ColorChooserLabel;

class MapPage : public BasePage {
    Q_OBJECT
  public:
    explicit MapPage(QWidget *parent = nullptr);
    void loadSettings();
    void saveSettings();
    void translateUI();

  private:
    QCheckBox *mChbMapGrid;
    QCheckBox *mChbHoriCB;
    QCheckBox *mChbHideMV;

    QCheckBox *mChbFollowLocation;
    QLabel *mLblSecVisible;
    QSpinBox *mSpbSecVisible;

    QGroupBox *mGbxMissingValue;

    QLabel *mLblMVColor;
    ColorChooserLabel *mLblMVColorChooser;
    QLabel *mLblMVStyle;
    QComboBox *mCbxMVStyle;
    QDoubleSpinBox *mSpbMVSize;

    QGroupBox *mGbxCurrentFlight;
    QLabel *mLblCFStyle;
    QComboBox *mCbxCFStyle;
    QDoubleSpinBox *mSpbCFSize;

    QGroupBox *mGbxPreviousFlights;
    QLabel *mLblPFStyle;
    QComboBox *mCbxPFStyle;
    QDoubleSpinBox *mSpbPFSize;

    QGroupBox *mGbxRange;
    QLabel *mLblRgColor;
    ColorChooserLabel *mLblRgCC;
    QDoubleSpinBox *mSpbRgLineSize;
    QCheckBox *mChbRgFill;
    QSpinBox *mSpbRgFillAlpha;

  private:
    void buildUI();
};

#endif // MAPPAGE_HPP
