// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef STORAGEPAGE_HPP
#define STORAGEPAGE_HPP

#include "directorywidget.hpp"
#include "globals.hpp"
#include "basepage.hpp"

class StoragePage : public BasePage {
    Q_OBJECT
  public:
    explicit StoragePage(QWidget *parent = nullptr);
    virtual void loadSettings() final;
    virtual void saveSettings() final;
    virtual void translateUI() final;

  private:
    DirectoryWidget *mWdtDataFolder;
    QLabel *mLblDataFolder;
    QCheckBox *mChbLog;
    QCheckBox *mChbData;
    QCheckBox *mChbNFONF;
    QLabel *mLblLogLevel;
    QComboBox *mCbxLogLevel;
    QToolButton *mBtnBrowse;

  private:
    void buildUI();
};

#endif // STORAGEPAGE_HPP
