// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef WLANINTERFACE_HPP
#define WLANINTERFACE_HPP

#include "wlaninfos.hpp"

#include <windows.h>

#include <Iphlpapi.h>

#include <wlanapi.h>

/**
 * @brief The WlanIface class
 * @details
 * The class defines a WLAN interface.
 */
class WlanInterface {
  public:
    WlanInterface();
    WlanInterface(GUID inputGuid);
    WlanInterface(GUID inputGuid, HANDLE client);
    bool valid() const;
    bool updateGuidInfos(GUID inputGuid);
    bool updateWlanInfos(HANDLE client);

  public:
    GUID guid;
    NET_LUID luid;
    QString name;
    QString alias;
    QString description;
    bool connected;
    WlanInfos network;
};

Q_DECLARE_METATYPE(WlanInterface)

#endif // WLANINTERFACE_HPP
