## Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
## Authors: J. Burgalat
## 2016-2024

include(../config.pri)
include(../interfaces/interfaces.pri)

QT       += core gui widgets xml xmlpatterns

TARGET = AFC
TEMPLATE = app
VERSION = 1.0.1
DEFINES += APP_VER=\\\"$$VERSION\\\"

include (../common/common.pri)

#cutlogger
include(../CUTELOGGER2/cl2-embedded.pri)
include(../CUTELOGGER2/lw-embedded.pri)

INCLUDEPATH += sources

SOURCES += \
    sources/main.cpp \
    sources/mainwindow.cpp \
    sources/tablewidget.cpp \
    sources/globals.cpp \
    sources/xmldescriptors.cpp \
    sources/datasetinfowidget.cpp \
    sources/prmchoicewidget.cpp \
    sources/labelwidget.cpp \
    sources/csvfilewriter.cpp

HEADERS += \
    sources/mainwindow.hpp \
    sources/tablewidget.hpp \
    sources/globals.hpp \
    sources/xmldescriptors.hpp \
    sources/datasetinfowidget.hpp \
    sources/prmchoicewidget.hpp \
    sources/clickablelabel.hpp \
    sources/labelwidget.hpp \
    sources/csvfilewriter.hpp

RESOURCES = resources/afc.qrc
# Icon stuff: only for windows
win32{
  RC_FILE = resources/afc.rc
  ICON = resources/images/app.ico
}

DISTFILES += \
    changelog.txt


TRANSLATIONS = resources/app_fr.ts

