AFC
===

AFC is a GUI application dedicated to the conversion of Amulse/ApoDrone binary files (raw or results) in plain-text (CSV format) files.

Overview
-----------

At startup, the application displays three widgets with:

1.  The dataset informations groupbox (top widget).
2.  The list view of *exportable* parameters (left bottom widget).
3.  The list view of parameters to *export* (right bottom widget).

<img src="images/afc_window.png" alt="Main window at startup." style="zoom:80%;" />

Usage
=====

The application is designed to be very easy to use. Converting files is basically done in three steps:

1.  Loading data files to process,
2.  Select the parameters to export and, optionally, update their aliases.
3.  Convert the file(s) using the appropriate button. The latter is enabled only when the operation can be performed.

On output, a CSV formatted file is generated with the values of each selected parameter. Each column is separated by a semi-colon. The file contains a single line header with the `aliases` of the parameters.

User can control the precision (i.e. the number of digits after the decimal point) of the output value using the spinbox next to the button **Convert**.

### Loading data files to process

The step is achieved using the action open from the window menu or by dragging files and/or directories into the window.

During loading a progress bar is shown in the status bar of the application. Loading may take several seconds to few minutes depending on the number of file to process. User is free to abort the loading by process by clicking the button ![ico\_abort](images/ico_abort.png){height="0.19444in"} on the right side of the progress bar: In such case, no files will be set in the listview.

<img src="images/progressbar.png" alt="AFC file loading progress bar" style="zoom: 80%;" />



#### Notes

Before loading, the files selected by the user are checked for self consistency:

-   Only files that store the same `instrument number` and `firmware version` (based on the first file loaded) are kept. On error, message box is raised to inform user about invalid files (user is encouraged to check the log activity for more details).
-   Only one kind of file can be loaded at a time: raw binary files or results files. If more than one kind of files is detected, a message box is raised to ask the user which kind of file should be processed.


### Parameter edition and selection

Once files are loaded, the list of exportable parameters are shown in the *left* list view. Only the parameters displayed in *right* list  view are exported. User can select contiguous items by holding the SHIFT key pressed, or select multiple items arbitrarily by holding the CTRL key. Once selection is done, user has to drag the selection to the right view. Items in the right listview can be reordered using the same drag and drop mechanism. From both view, user can modify the `alias` of the parameter. To do so, double-click on the afferent cell and type the new `alias` name.

### Conversion

The `convert` button is enabled when at least one parameter is defined in the right view. When the button is clicked, user is asked  for the location and name of the file to generate. The conversion process may take few seconds and its progress is displyed in the status bar of the window.

### Save changes

The application can save the current modifications of the parameter `aliases`, after conversion and before quit. To enable such feature, the checkbox *Always save changes* in the lower left part of the window must be checked.

After loading file operations, the updated descriptor will be loaded if the dataset has the same *instrument number*, *firmware version* and *number of parameters*.
