// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#include "labelwidget.hpp"

/**
 * @brief Copnstructor.
 * @param text Text to display.
 * @param f Custom windows flag. By default the widget is
 */
LabelWidget::LabelWidget(const QString &text) : QWidget(nullptr, Qt::Dialog) {
    mLabel = new QLabel(this);
    mLabel->setWordWrap(false);
    mLabel->setText(text);
    QFontMetrics fm = mLabel->fontMetrics();
    mLabel->setMinimumWidth(fm.boundingRect(text).width() + 10);

    QScrollArea *scrollArea = new QScrollArea;
    scrollArea->setMinimumHeight(150);
    scrollArea->setMaximumWidth(fm.boundingRect(text).width() + 35);
    scrollArea->setWidget(mLabel);

    QVBoxLayout *layout = new QVBoxLayout(this);
    // layout->setSizeConstraint(QLayout::SetFixedSize);
    layout->addWidget(scrollArea);
    setWindowTitle(tr("List of data files"));
}

/// @brief Set text.
void LabelWidget::setText(const QString &text) { mLabel->setText(text); }

/// @brief Close the widget on Escape key press.
void LabelWidget::keyPressEvent(QKeyEvent *event) {
    if (event->key() == Qt::Key_Escape)
        close();
    QWidget::keyPressEvent(event);
}
