// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024


#include "isp/units.hpp"


#include "globals.hpp"
#include "mainwindow.hpp"
#include <QApplication>

int main(int argc, char *argv[]) {

    QApplication app(argc, argv);
    // Setup Settings
    QCoreApplication::setOrganizationDomain("univ-reims.fr");
    QCoreApplication::setOrganizationName("urca-gsma");
    QCoreApplication::setApplicationName("AFC");
    QCoreApplication::setApplicationVersion(APP_VER);
    QSettings::setDefaultFormat(QSettings::IniFormat);
    app.setObjectName("Application");
    app.setAttribute(Qt::AA_DontShowIconsInMenus);
    ///app.setQuitOnLastWindowClosed(false);
    QSettings settings;
    bool firstTime = !(QFileInfo::exists(settings.fileName()) && settings.allKeys().size());
    QIcon::setThemeName("oxygen");

    iniGlobals();
    // check for first time application
    if (firstTime)
        setFactoryDefaults(QString());

    QObject::connect(qApp, &QApplication::aboutToQuit, finalizeGlobals);

    QFont defaultFont(QApplication::font());
    defaultFont.setPointSizeF(qMax(8.0, defaultFont.pointSizeF()));
    app.setFont(settings.value("global/font", defaultFont).value<QFont>());

    qInfo() << qApp->font();
    // Generate new main window
    MainWindow window;
    window.show();
    int result = app.exec();
    return result;
}
