// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef PRMCHOICEDIALOG_HPP
#define PRMCHOICEDIALOG_HPP

#include "globals.hpp"
#include "tablewidget.hpp"
#include "xmldescriptors.hpp"
#include <QtWidgets>

class PrmChoiceWidget : public QWidget {
    Q_OBJECT
  public:
    PrmChoiceWidget(QWidget *parent = nullptr);

    bool hasSelection() const;
    QVector<PairOfStrings> selected() const;
    void updateOriginal();
    void translateUI();
    bool saveChanges() const;
    void setupFromXMLDescriptor(XMLDescriptor *input);
signals:
    void itemMoved();

  private:
    QGroupBox *mGbxDescriptor;
    QGroupBox *mGbxOutput;
    TableWidget *mTableDescriptor;
    TableWidget *mTableOutput;
    XMLDescriptor *mOriginal;

  private:
    XMLDescriptor fromTable(TableWidget *tableWidget) const;
};

#endif // PRMCHOICEDIALOG_HPP
