// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef TABLEWIDGET_HPP
#define TABLEWIDGET_HPP

#include "globals.hpp"
#include <QtWidgets>

class TableWidget : public QTableWidget {
    Q_OBJECT
  public:
    TableWidget(bool allowInternalMove = false, QWidget *parent = nullptr);
    QVector<PairOfStrings> values() const;

    virtual void setPairs(const QVector<PairOfStrings> pairs);

signals:
    void itemMoved();

  protected:
    virtual bool dropMimeData(int row, int, const QMimeData *, Qt::DropAction) override;
    virtual void dropEvent(QDropEvent *event) override;
    virtual void dragMoveEvent(QDragMoveEvent *e) override;

  private:
    QVector<int> getselectedRowsFast();
    bool mInternalMove;
    int mLastDropRow;
};

#endif // LISTWIDGET_HPP
