// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef FILEFITTASK_H
#define FILEFITTASK_H

#include "fit.hpp"

#include <QPair>
#include <QRunnable>
#include <QString>

typedef QPair<QString, QString> PairOfStrings;

class FileFitTask : public QRunnable {
  public:
    FileFitTask(const QString &inputPath, const QString &outputPath, FitConfig *fitConfig, int instrOffset,
                const FitParamReuse &reuseParams, int blockStep, Decimation decimTo, bool preLoad, bool logToFile,
                bool stripSpectras,  bool asCSV = false);

    void run() override;

    QString inputPath;
    QString outputPath;
    FitConfig *fitConfig;
    int instrOffset;
    FitParamReuse reuseParams;
    int blockStep;
    Decimation decimTo;
    bool preLoad;
    bool logToFile;
    bool stripSpectras;
    bool asCSV;
};

#endif // FILEFITTASK_H
